## ros-kinetic-uuv-thruster-manager 0.6.13

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(uuv_thruster_manager)

find_package(catkin REQUIRED COMPONENTS
  message_generation
  std_msgs)

catkin_python_setup()

## Generate services in the 'srv' folder
add_service_files(
  FILES
  GetThrusterCurve.srv
  ThrusterManagerInfo.srv
  SetThrusterManagerConfig.srv
  GetThrusterManagerConfig.srv
)

## Generate added messages and services with any dependencies listed here
generate_messages(
  DEPENDENCIES
  std_msgs
)

catkin_package(
  CATKIN_DEPENDS 
    std_msgs 
    message_runtime)

catkin_install_python(PROGRAMS scripts/thruster_allocator.py
                      DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY launch config
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
        PATTERN "*~" EXCLUDE)

if (CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  foreach(T
      test/test_thrusters.test
      test/test_thruster_allocator_x_axis.test
      test/test_thruster_allocator_y_axis.test
      test/test_thruster_allocator_z_axis.test
      test/test_thruster_manager_proportional_correct.test
      )
     add_rostest(${T})
  endforeach()
endif()

=== debian/changelog ===
ros-kinetic-uuv-thruster-manager (0.6.13-0xenial) xenial; urgency=high

  * Add test dependencies
    Signed-off-by: Musa Morena Marcusso Manhães <mailto:musa.marcusso@de.bosch.com>
  * Add rostests
    Signed-off-by: Musa Morena Marcusso Manhães <mailto:musa.marcusso@de.bosch.com>
  * Add unit tests
    Signed-off-by: Musa Morena Marcusso Manhães <mailto:musa.marcusso@de.bosch.com>
  * Update license header
    Signed-off-by: Musa Morena Marcusso Manhães <mailto:musa.marcusso@de.bosch.com>
  * Update license header
    Signed-off-by: Musa Morena Marcusso Manhães <mailto:musa.marcusso@de.bosch.com>
  * Update license header and add docstrings
    Signed-off-by: Musa Morena Marcusso Manhães <mailto:musa.marcusso@de.bosch.com>
  * Fix indentation of docstring
    Signed-off-by: Musa Morena Marcusso Manhães <mailto:musa.marcusso@de.bosch.com>
  * Add docstrings
    Signed-off-by: Musa Morena Marcusso Manhães <mailto:musa.marcusso@de.bosch.com>
  * Add test TAM configuration
    Signed-off-by: Musa Morena Marcusso Manhães <mailto:musa.marcusso@de.bosch.com>
  * Add mock robot description for thruster manager tests
    Signed-off-by: Musa Morena Marcusso Manhães <mailto:musa.marcusso@de.bosch.com>
  * Add mock configuration for thruster manager tests
    Signed-off-by: Musa Morena Marcusso Manhães <mailto:musa.marcusso@de.bosch.com>
  * Fixing Python 3 compatibility issues for scripts
    Related to issue #268 <https://github.com/uuvsimulator/uuv_simulator/issues/268>
    Signed-off-by: Musa Morena Marcusso Manhães <mailto:musa.marcusso@de.bosch.com>
  * Contributors: Musa Morena Marcusso Manhães

 -- Musa Morena Marcusso Manhaes <musa.marcusso@de.bosch.com>  Sun, 11 Aug 2019 22:00:00 -0000

ros-kinetic-uuv-thruster-manager (0.6.12-0xenial) xenial; urgency=high



 -- Musa Morena Marcusso Manhaes <musa.marcusso@de.bosch.com>  Wed, 22 May 2019 22:00:00 -0000

ros-kinetic-uuv-thruster-manager (0.6.11-0xenial) xenial; urgency=high



 -- Musa Morena Marcusso Manhaes <musa.marcusso@de.bosch.com>  Wed, 20 Mar 2019 23:00:00 -0000

ros-kinetic-uuv-thruster-manager (0.6.10-0xenial) xenial; urgency=high

  * Fix errors from catkin_lint
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * Contributors: Musa Morena Marcusso Manhaes

 -- Musa Morena Marcusso Manhaes <musa.marcusso@de.bosch.com>  Wed, 27 Feb 2019 23:00:00 -0000

ros-kinetic-uuv-thruster-manager (0.6.9-0xenial) xenial; urgency=high



 -- Musa Morena Marcusso Manhaes <musa.marcusso@de.bosch.com>  Mon, 25 Feb 2019 23:00:00 -0000

ros-kinetic-uuv-thruster-manager (0.6.8-0xenial) xenial; urgency=high



 -- Musa Morena Marcusso Manhaes <musa.marcusso@de.bosch.com>  Wed, 13 Feb 2019 23:00:00 -0000

ros-kinetic-uuv-thruster-manager (0.6.7-0xenial) xenial; urgency=high



 -- Musa Morena Marcusso Manhaes <musa.marcusso@de.bosch.com>  Tue, 12 Feb 2019 23:00:00 -0000

ros-kinetic-uuv-thruster-manager (0.6.6-0xenial) xenial; urgency=high



 -- Musa Morena Marcusso Manhaes <musa.marcusso@de.bosch.com>  Mon, 11 Feb 2019 23:00:00 -0000

ros-kinetic-uuv-thruster-manager (0.6.5-0xenial) xenial; urgency=high



 -- Musa Morena Marcusso Manhaes <musa.marcusso@de.bosch.com>  Wed, 06 Feb 2019 23:00:00 -0000

ros-kinetic-uuv-thruster-manager (0.6.4-0xenial) xenial; urgency=high

  * FIX Dependency errors for ROS Buildfarm
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>

 -- Musa Morena Marcusso Manhaes <musa.marcusso@de.bosch.com>  Sat, 02 Feb 2019 23:00:00 -0000

ros-kinetic-uuv-thruster-manager (0.6.3-0xenial) xenial; urgency=high

  * CHANGE Use lowercase strings for e-mail
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * 
    
      * Update thruster manager python to parse joint axes from urdf string via robot_description
      * Update gazebo ThrusterPlugin to get the thruster joint axis from the Joint API instead of hard coding it to be the x-axis
    Signed-off-by: Jordan Lack <mailto:jlack1987@gmail.com>
  * Contributors: Jordan Lack, Musa Morena Marcusso Manhães

 -- Musa Morena Marcusso Manhaes <musa.marcusso@de.bosch.com>  Wed, 12 Dec 2018 23:00:00 -0000

ros-kinetic-uuv-thruster-manager (0.6.2-0xenial) xenial; urgency=high

  * FIX rospy dependency
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:musa.marcusso@de.bosch.com>
  * FIX rospy dependencies
    Signed-off-by: Musa Morena Marcusso Manhães <mailto:musa.marcusso@de.bosch.com>
  * Contributors: Musa Morena Marcusso Manhães

 -- Musa Morena Marcusso Manhaes <Musa.Marcusso@de.bosch.com>  Sun, 02 Dec 2018 23:00:00 -0000

ros-kinetic-uuv-thruster-manager (0.6.1-0xenial) xenial; urgency=high



 -- Musa Morena Marcusso Manhaes <Musa.Marcusso@de.bosch.com>  Thu, 02 Aug 2018 22:00:00 -0000

ros-kinetic-uuv-thruster-manager (0.6.0-0xenial) xenial; urgency=high



 -- Musa Morena Marcusso Manhaes <Musa.Marcusso@de.bosch.com>  Mon, 30 Jul 2018 22:00:00 -0000

ros-kinetic-uuv-thruster-manager (0.5.13-0xenial) xenial; urgency=high



 -- Musa Morena Marcusso Manhaes <Musa.Marcusso@de.bosch.com>  Mon, 23 Jul 2018 22:00:00 -0000

ros-kinetic-uuv-thruster-manager (0.5.12-0xenial) xenial; urgency=high



 -- Musa Morena Marcusso Manhaes <Musa.Marcusso@de.bosch.com>  Sun, 22 Jul 2018 22:00:00 -0000

ros-kinetic-uuv-thruster-manager (0.5.11-0xenial) xenial; urgency=high



 -- Musa Morena Marcusso Manhaes <Musa.Marcusso@de.bosch.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-kinetic-uuv-thruster-manager (0.5.10-0xenial) xenial; urgency=high



 -- Musa Morena Marcusso Manhaes <Musa.Marcusso@de.bosch.com>  Mon, 09 Jul 2018 22:00:00 -0000

ros-kinetic-uuv-thruster-manager (0.5.9-0xenial) xenial; urgency=high



 -- Musa Morena Marcusso Manhaes <Musa.Marcusso@de.bosch.com>  Sun, 08 Jul 2018 22:00:00 -0000

ros-kinetic-uuv-thruster-manager (0.5.8-0xenial) xenial; urgency=high



 -- Musa Morena Marcusso Manhaes <Musa.Marcusso@de.bosch.com>  Fri, 06 Jul 2018 22:00:00 -0000



=== debian/control ===
Source: ros-kinetic-uuv-thruster-manager
Section: misc
Priority: extra
Maintainer: Musa Morena Marcusso Manhaes <musa.marcusso@de.bosch.com>
Build-Depends: debhelper (>= 9.0.0), python-numpy, ros-kinetic-catkin, ros-kinetic-geometry-msgs, ros-kinetic-joint-state-publisher, ros-kinetic-message-generation, ros-kinetic-robot-state-publisher, ros-kinetic-rostest, ros-kinetic-rosunit, ros-kinetic-std-msgs, ros-kinetic-uuv-assistants, ros-kinetic-xacro
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-uuv-thruster-manager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-yaml, ros-kinetic-geometry-msgs, ros-kinetic-message-runtime, ros-kinetic-rospy, ros-kinetic-std-msgs, ros-kinetic-tf, ros-kinetic-uuv-assistants, ros-kinetic-uuv-gazebo-ros-plugins-msgs
Description: The thruster manager package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-uuv-thruster-manager//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
